summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:58 +0200
commitc3626a392f5d6116a4f998ec41f8bc8dbe125e9b (patch)
tree08736984a50c81b06835fb32f85fd1ec94e9584c
parent0d9406ab4253ef5fc456789fa5973f86de0793df (diff)
downloadslackbuilds-c3626a392f5d6116a4f998ec41f8bc8dbe125e9b.tar.gz
slackbuilds-c3626a392f5d6116a4f998ec41f8bc8dbe125e9b.tar.xz
system/encfs: Added to 12.0 repository
-rw-r--r--system/encfs/README10
-rw-r--r--system/encfs/encfs.SlackBuild76
-rw-r--r--system/encfs/encfs.info8
-rw-r--r--system/encfs/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/encfs/README b/system/encfs/README
new file mode 100644
index 0000000000..88909f81f3
--- /dev/null
+++ b/system/encfs/README
@@ -0,0 +1,10 @@
+EncFS is a program which provides an encrypted virtual filesystem for Linux
+using the FUSE kernel module. FUSE provides a loadable kernel module
+which exports a filesystem interface to user-mode. EncFS runs entirely in
+user-mode and acts as a transparent encrypted filesystem.
+
+This requires rlog and fuse.
+
+Usage:
+mount: encfs /path/to/encrypted_dir /path/to/mountpoint
+umount: fusermount -u /path/to/mountpoint
diff --git a/system/encfs/encfs.SlackBuild b/system/encfs/encfs.SlackBuild
new file mode 100644
index 0000000000..dd7181602e
--- /dev/null
+++ b/system/encfs/encfs.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for encfs
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=encfs
+VERSION=1.4.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/encfs/encfs.info b/system/encfs/encfs.info
new file mode 100644
index 0000000000..455db6bb47
--- /dev/null
+++ b/system/encfs/encfs.info
@@ -0,0 +1,8 @@
+PRGNAM="encfs"
+VERSION="1.4.1.1"
+HOMEPAGE="http://www.arg0.net"
+DOWNLOAD="http://encfs.googlecode.com/files/encfs-1.4.1.1.tar.gz"
+MD5SUM="dd73c2a15dfba0b2e20202dfdb1482f2"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/system/encfs/slack-desc b/system/encfs/slack-desc
new file mode 100644
index 0000000000..f2d5e083e9
--- /dev/null
+++ b/system/encfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+encfs: encfs - encrypted virtual filesystem
+encfs:
+encfs: EncFS is a program which provides an encrypted virtual filesystem for
+encfs: Linux using the FUSE kernel module. FUSE provides a loadable kernel
+encfs: module which exports a filesystem interface to user-mode. EncFS runs
+encfs: entirely in user-mode and acts as a transparent encrypted filesystem.
+encfs:
+encfs: Homepage: http://www.arg0.net/encfs
+encfs:
+encfs:
+encfs: